#include <stdio.h>

#ifndef ANSWER
#define ANSWER

#define ANSWER_DIM 512

typedef char AnswerText[ANSWER_DIM];

typedef struct AnswerStruct
{
	char code;
	AnswerText text;
	float points;
} Answer;

#endif

Answer* createAnswerArray(int answerCount);
void destroyAnswerArray(Answer *answerArray);
Answer* readAnswerArrayFromTxt(FILE *file, int answerCount);
void renderAnswer(Answer *answer);